function handles=get_characteristics(handles)
% Determines characteristics of a spectrum an displays them
%

axes(handles.spec_plot);
[maxamp,maxpoi]=max(handles.spec);
[minamp,minpoi]=min(handles.spec);

width=handles.b0(minpoi)-handles.b0(maxpoi);
amp=maxamp-minamp;
doubintg=sum(cumsum(handles.spec));
set(handles.status_line,'String',sprintf('%s%6.0f%s%6.4f%s%8.4g','  Line characteristics: Amplitude= ',amp,',    Width= ',width,' mT,    Double integral= ',doubintg));

xwh=(max(handles.b0)-min(handles.b0))/100;
ywh=32768/25;
plot([handles.b0(maxpoi)-xwh,handles.b0(maxpoi)+xwh],[handles.spec(maxpoi),handles.spec(maxpoi)],'r');
plot([handles.b0(maxpoi),handles.b0(maxpoi)],[handles.spec(maxpoi)-ywh,handles.spec(maxpoi)+ywh],'r');
plot([handles.b0(minpoi)-xwh,handles.b0(minpoi)+xwh],[handles.spec(minpoi),handles.spec(minpoi)],'r');
plot([handles.b0(minpoi),handles.b0(minpoi)],[handles.spec(minpoi)-ywh,handles.spec(minpoi)+ywh],'r');
