function handles=plot_double_integral(handles)
%
% plots the integrated spectrum

sint=cumsum(cumsum(handles.spec));
sc=max(sint)-min(sint);

axes(handles.spec_plot);
cla;
axis([min(handles.b0),max(handles.b0),min(sint)-0.1*sc,max(sint)+0.1*sc]);
xlabel('Magnetic field (mT)');
hold on;
plot(handles.b0,sint,'b');



